summaryrefslogtreecommitdiffhomepage
path: root/kokoro/ubuntu1604/20_bazel.sh
diff options
context:
space:
mode:
authorAdin Scannell <ascannell@google.com>2019-08-27 23:24:33 -0700
committergVisor bot <gvisor-bot@google.com>2019-08-27 23:29:02 -0700
commit784f48a78debe68435b8fb59e8132d4dbc47ce48 (patch)
tree45b32fa45983c1bd8563a2f672dafb4dea33ed83 /kokoro/ubuntu1604/20_bazel.sh
parent313c767b0001bf6271405f1b765b60a334d6e911 (diff)
kokoro: Add scripts to rebuild images.
These scripts generated the following images: gvisor-kokoro-testing/image-a53bac71541a209e (ubuntu 18.04) gvisor-kokoro-testing/image-f5b20c5fbd23f448 (ubuntu 16.04) Any modifications to these scripts should generate new images. PiperOrigin-RevId: 265843929
Diffstat (limited to 'kokoro/ubuntu1604/20_bazel.sh')
-rwxr-xr-xkokoro/ubuntu1604/20_bazel.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/kokoro/ubuntu1604/20_bazel.sh b/kokoro/ubuntu1604/20_bazel.sh
new file mode 100755
index 000000000..74b4b8be2
--- /dev/null
+++ b/kokoro/ubuntu1604/20_bazel.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Copyright 2019 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -xeo pipefail
+
+# We need to install a specific version of bazel due to a bug with the RBE
+# environment not respecting the dockerPrivileged configuration.
+declare -r BAZEL_VERSION=0.28.1
+
+# Install bazel dependencies.
+apt-get update && apt-get install -y openjdk-8-jdk-headless unzip
+
+# Use the release installer.
+curl -L -o bazel-${BAZEL_VERSION}-installer-linux-x86_64.sh https://github.com/bazelbuild/bazel/releases/download/${BAZEL_VERSION}/bazel-${BAZEL_VERSION}-installer-linux-x86_64.sh
+chmod a+x bazel-${BAZEL_VERSION}-installer-linux-x86_64.sh
+./bazel-${BAZEL_VERSION}-installer-linux-x86_64.sh
+rm -f bazel-${BAZEL_VERSION}-installer-linux-x86_64.sh